---
title: 'SVGElement: abort event'
slug: Web/API/SVGElement/abort_event
tags:
  - API
  - Reference
  - SVGElement
  - abort
  - events
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>abort</code> event is fired when page loading is stopped before an SVG element has been allowed to load completely. This basically implements the standard <code>abort</code> DOM event.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("SVGEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onabort">onabort</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">svgElem.addEventListener('abort', () =&gt; {
  console.log('Load aborted.');
})</pre>


<h2 id="Specifications">Specifications</h2>

<p>Not really described anywhere specifically, but <a href="https://svgwg.org/svg2-draft/single-page.html#changes-interact">mentioned in the SVG 2 spec</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGElement.abort_event")}}</p>
